org.apache.uima.search.impl

## Class Style_impl

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.MetaDataObject_impl
  - - org.apache.uima.search.impl.Style_impl

- All Implemented Interfaces:
    Serializable, Cloneable, MetaDataObject, Style, XMLizable

      public class Style_impl
      extends MetaDataObject_impl
      implements Style

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `serialContext`

    - ### Fields inherited from interface org.apache.uima.search.Style

      `ANNOTATION, BREAKING, TERM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Style_impl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildFromXMLElement(Element aElement, XMLParser aParser, XMLParser.ParsingOptions aOptions)` Overridden to read the name property from XML attributes.
    `String` | `getAttribute(String aName)` Gets the value of an attribute with the given name.
    `Mapping[]` | `getAttributeMappings()` Gets the mappings that specify which features (properties) of the annotation should be indexed, and under which names.
    `Attribute[]` | `getAttributes()` Gets the `Attribute`s for this style.
    `String` | `getName()` Gets the name of this style.
    `protected AttributesImpl` | `getXMLAttributes()` Overridden to write the name property as an XML attribute.
    `protected XmlizationInfo` | `getXmlizationInfo()` To be implemented by subclasses to return information describing how to represent this object in XML.
    `void` | `setAttributeMappings(Mapping[] aMappings)` Sets the mappings that specify which features (properties) of the annotation should be indexed, and under which names.
    `void` | `setAttributes(Attribute[] aAttributes)` Sets the `Attribute`s for this style.
    `void` | `setName(String aName)` Sets the name of this style.

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Constructor Detail

    - #### Style_impl

          public Style_impl()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `Style`
      Gets the name of this style. See the class comment for a list of defined style names. Implementations must make sure that all names are `String.intern()`ed so that they can be compared with the == operator.
      Specified by:
        `getName` in interface `Style`
      Returns:
        the name of this style

    - #### setName

          public void setName(String aName)

      Description copied from interface: `Style`
      Sets the name of this style. See the class comment for a list of defined style names. Implementations must make sure that all names are `String.intern()`ed so that they can be compared with the == operator.
      Specified by:
        `setName` in interface `Style`
      Parameters:
        `aName` - the name of this style

    - #### getAttributes

          public Attribute[] getAttributes()

      Description copied from interface: `Style`
      Gets the `Attribute`s for this style. See the class comment for a list of defined attributes for each style name.
      Specified by:
        `getAttributes` in interface `Style`
      Returns:
        the attributes for this style.

    - #### setAttributes

          public void setAttributes(Attribute[] aAttributes)

      Description copied from interface: `Style`
      Sets the `Attribute`s for this style. See the class comment for a list of defined attributes for each style name.
      Specified by:
        `setAttributes` in interface `Style`
      Parameters:
        `aAttributes` - the attributes for this style.

    - #### getAttribute

          public String getAttribute(String aName)

      Description copied from interface: `Style`
      Gets the value of an attribute with the given name.
      Specified by:
        `getAttribute` in interface `Style`
      Parameters:
        `aName` - name of an attribute
      Returns:
        the value of the named attribute, null if there is no such attribute declared on this style

    - #### getAttributeMappings

          public Mapping[] getAttributeMappings()

      Description copied from interface: `Style`
      Gets the mappings that specify which features (properties) of the annotation should be indexed, and under which names.
      Specified by:
        `getAttributeMappings` in interface `Style`
      Returns:
        an array of objects that each specify a mapping from a CAS feature name to the name under which this feature should be recorded in the index.

    - #### setAttributeMappings

          public void setAttributeMappings(Mapping[] aMappings)

      Description copied from interface: `Style`
      Sets the mappings that specify which features (properties) of the annotation should be indexed, and under which names.
      Specified by:
        `setAttributeMappings` in interface `Style`
      Parameters:
        `aMappings` - an array of objects that each specify a mapping from a CAS feature name to the name under which this feature should be recorded in the index.

    - #### getXMLAttributes

          protected AttributesImpl getXMLAttributes()

      Overridden to write the name property as an XML attribute.
      Overrides:
        `getXMLAttributes` in class `MetaDataObject_impl`
      Returns:
        an object defining the attributes to be written to the XML
      See Also:
        `MetaDataObject_impl.getXMLAttributes()`

    - #### buildFromXMLElement

          public void buildFromXMLElement(Element aElement,
                                          XMLParser aParser,
                                          XMLParser.ParsingOptions aOptions)
                                   throws InvalidXMLException

      Overridden to read the name property from XML attributes.
      Specified by:
        `buildFromXMLElement` in interface `XMLizable`
      Overrides:
        `buildFromXMLElement` in class `MetaDataObject_impl`
      Parameters:
        `aElement` - the XML element that represents this object.
        `aParser` - a reference to the UIMA `XMLParser`. The `XMLParser.buildObject(Element)` method can be used to construct sub-objects.
        `aOptions` - option settings
      Throws:
        `InvalidXMLException` - if the input XML element does not specify a valid object
      See Also:
        `XMLizable.buildFromXMLElement(org.w3c.dom.Element, org.apache.uima.util.XMLParser)`

    - #### getXmlizationInfo

          protected XmlizationInfo getXmlizationInfo()

      Description copied from class: `MetaDataObject_impl`
      To be implemented by subclasses to return information describing how to represent this object in XML.
      Specified by:
        `getXmlizationInfo` in class `MetaDataObject_impl`
      Returns:
        information defining this object's XML representation

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.